## lxfw-update 1.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,9 @@
 set(PROJECT lxfw-update)
 
 project(${PROJECT} C)
+set(PROJECT_VERSION 1.0.3)
+
+add_definitions(-DPROJECT_VERSION="${PROJECT_VERSION}")
 
 if(CMAKE_COMPILER_IS_GNUCC)
     set(WARNOPTS
@@ -16,6 +19,8 @@
 endif(CMAKE_COMPILER_IS_GNUCC)
 
 if(MSVC)
+    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /SUBSYSTEM:WINDOWS,5.01")
+
     add_definitions(-D_CRT_SECURE_NO_WARNINGS)
     foreach(flag_var
             CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
@@ -36,6 +41,7 @@
 set(SOURCES
     src/main.c
     src/firm_check.c
+    lib/lcrypt_pgp/lcrypt_pgp_helpers.c
     lib/lcrypt/pgp.c
     lib/lcrypt/rsa_pubkey.c
     lib/lcrypt/sha.c
@@ -49,6 +55,12 @@
     src/firm_check.h
     src/fast_crc_cfg.h
     src/burn_intf.h
+    lib/lcrypt_pgp/lcrypt_pgp_helpers.h
+    lib/lcrypt/pgp.h
+    lib/lcrypt/rsa_pubkey.h
+    lib/lcrypt/sha.h
+    lib/lcrypt/vlong_math.h
+    lib/lcrypt/lcrypt.h
     lib/radix64/radix64.h
     ${LTIMER_HEADERS}
     )
@@ -103,15 +115,15 @@
 
 
 install(TARGETS ${PROJECT} DESTINATION bin)
-install(DIRECTORY firmware DESTINATION /usr/share/lpcie-firm-update)
-install(FILES l502-fpga-update-all.sh DESTINATION bin)
-install(FILES e502-fpga-update-all.sh DESTINATION bin)
+install(DIRECTORY firmware DESTINATION /usr/share/lxfw-update)
+install(PROGRAMS l502-fpga-update-all.sh DESTINATION bin)
+install(PROGRAMS e502-fpga-update-all.sh DESTINATION bin)
 
 
 #цели для сборки debian-пакетов
 if(UNIX AND CMAKE_EXT_INCLUDE_DIR)
     set(PACKAGE_NAME     ${PROJECT})
-    set(PACKAGE_VERSION  1.0.0)
+    set(PACKAGE_VERSION  ${PROJECT_VERSION})
 
     include(${CMAKE_EXT_INCLUDE_DIR}/packages/packages.cmake)
 endif(UNIX AND CMAKE_EXT_INCLUDE_DIR)
